| Home | Libraries | People | FAQ | More

## Struct template add_typeof_helper<quantity< unit< Dim, System >, X >, quantity< unit< Dim, System >, Y >>

boost::units::add_typeof_helper<quantity< unit< Dim, System >, X >, quantity< unit< Dim, System >, Y >>

## Synopsis

    // In header: <boost/units/quantity.hpp>

    template<typename Dim, typename System, typename X, typename Y>
    struct add_typeof_helper<quantity< unit< Dim, System >, X >, quantity< unit< Dim, System >, Y >> {
      // types
      typedef add_typeof_helper< X, Y >::type   value_type;
      typedef unit< Dim, System >               unit_type;
      typedef quantity< unit_type, value_type > type;
    };